-- (C) Copyright International Business Machines Corporation 23 January 
-- 1990.  All Rights Reserved. 
--  
-- See the file USERAGREEMENT distributed with this software for full 
-- terms and conditions of use. 
solicitor: using(terminalio) definitions
-- procedure to solicit input and then call me with the input
solicitorCM: callmessage(
  terminal: terminalFunctions, -- which terminal to prompt
  prompt: charstring, -- what to prompt with
  putLine_cap: putstringFunc -- whom to call
  )
  constant(terminal, prompt, putLine_cap)
  exit{full};
solicitorIn: inport of solicitorCM {full};
solicitorOut: outport of solicitorIn;

end definitions
